Loading...
Searching...
No Matches
pappso::FilterPeakDelta Class Reference

`#include <filterpeakdelta.h>`

Inheritance diagram for pappso::FilterPeakDelta:

## Public Member Functions

| FilterPeakDelta ()
| FilterPeakDelta (const FilterPeakDelta &other)
virtual | ~FilterPeakDelta ()
virtual Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Detailed Description

Definition at line 37 of file filterpeakdelta.h.

## Constructor & Destructor Documentation

## FilterPeakDelta() [1/2]

FilterPeakDelta::FilterPeakDelta | ( |  | ) |

Default constructor

Definition at line 33 of file filterpeakdelta.cpp.

{
}

Referenced by FilterPeakDelta().

## FilterPeakDelta() [2/2]

FilterPeakDelta::FilterPeakDelta | ( | const FilterPeakDelta & | other | ) |

Copy constructor

Parameters

  other | TODO

Definition at line 37 of file filterpeakdelta.cpp.

{
}

References FilterPeakDelta().

## ~FilterPeakDelta()

FilterPeakDelta::~FilterPeakDelta | ( |  | ) |

virtual

Destructor

Definition at line 41 of file filterpeakdelta.cpp.

{
}

## Member Function Documentation

## filter()

pappso::Trace & pappso::FilterPeakDelta::filter | ( | pappso::Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 46 of file filterpeakdelta.cpp.

{
Trace old_trace(data_points);
data_points.clear();
auto it_out = old_trace.begin();
auto it_in = it_out + 1;
auto it_end = old_trace.end();
while(it_out != it_end)
{
while(it_in != it_end)
{
double intensity = (it_out->y + it_in->y) - (std::abs(it_out->y - it_in->y));
data_points.push_back(DataPoint(std::abs(it_out->x - it_in->x), intensity));
it_in++;
}
it_out++;
it_in = it_out + 1;
}
data_points.sortX();
return data_points;
}
pappso::Trace::sortX
void sortX(Enums::SortOrder sort_order=Enums::SortOrder::ascending)
Definition trace.cpp:1071

References pappso::Trace::sortX().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/filters/filterpeakdelta.h
- pappsomspp/core/processing/filters/filterpeakdelta.cpp